// CurveFitDoc.h : CCurveFitDoc NX̐錾уC^[tFCX̒`܂B
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CURVEFITDOC_H__F46A970A_CD03_11D1_B2C2_0000F81EA28D__INCLUDED_)
#define AFX_CURVEFITDOC_H__F46A970A_CD03_11D1_B2C2_0000F81EA28D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "..\VariousDataArray.h"
#include "..\VariousGraphFrameArray.h"
#include "PeakSearch.h"
//#include "SetupCurveFitView.h"

class CSetupCurveFitView;
class CCurveFitEditView;

class CCurveFitDoc : public CRichEditDoc
{
protected:
	CPeakSearch m_PeakSearch;
	CVariousGraphFrameArray m_GraphFrameArray;
public:
	CString m_Comment;
	CPeakSearch *GetPeakSearch() { return &m_PeakSearch; };
	int CreateGraphFrameWithData(int num);
	int ReadDataFile(LPSTR filename);
	CVariousData* GetOriginalData()  { return m_PeakSearch.m_pOriginalData; };
	CVariousGraphFrameArray *GetGraphFrameArray() { return &m_GraphFrameArray; };
	CGraphFrame *GetGraphFrame(int i) { return m_GraphFrameArray.GetGraphFrame(i); };

protected: // VACY@\݂̂쐬܂B
	CCurveFitDoc();
	DECLARE_DYNCREATE(CCurveFitDoc)

// Agr[g
public:

// Iy[V
public:

//I[o[Ch
	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CCurveFitDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	protected:
	virtual BOOL SaveModified();
	//}}AFX_VIRTUAL
	virtual CRichEditCntrItem* CreateClientItem(REOBJECT* preo) const;

// Cve[V
public:
	int m_iYAxisType;
	int NewDocument();
	bool m_ViewBackground;
	bool m_ViewCalc;
	bool m_ViewCurves;
	bool m_ViewCurrentCurve;
	CSetupCurveFitView* GetSetupCurveFitView();
	CCurveFitEditView* GetCurveFitEditView();
	CString m_FileName;
	virtual ~CCurveFitDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// ꂽbZ[W }bv֐
protected:
	//{{AFX_MSG(CCurveFitDoc)
	afx_msg void OnFileOpen();
	afx_msg void OnViewRedraw();
	afx_msg void OnViewRestoreviewscale();
	afx_msg void OnViewChangeviewscale();
	afx_msg void OnViewEditinifile();
	afx_msg void OnViewSetupgraphframe();
	afx_msg void OnEditCopy();
	afx_msg void OnFileSavedataas();
	afx_msg void OnOptionSetupoption();
	afx_msg void OnViewViewcurves();
	afx_msg void OnUpdateViewViewcurves(CCmdUI* pCmdUI);
	afx_msg void OnViewViewcurrentcurve();
	afx_msg void OnUpdateViewViewcurrentcurve(CCmdUI* pCmdUI);
	afx_msg void OnViewViewcalc();
	afx_msg void OnUpdateViewViewcalc(CCmdUI* pCmdUI);
	afx_msg void OnViewViewbg();
	afx_msg void OnUpdateViewViewbg(CCmdUI* pCmdUI);
	afx_msg void OnVIEWPROCESSXRDData();
	afx_msg void OnUpdateVIEWPROCESSXRDData(CCmdUI* pCmdUI);
	afx_msg void OnViewProcessramandata();
	afx_msg void OnUpdateViewProcessramandata(CCmdUI* pCmdUI);
	afx_msg void OnOptionLauncheditor();
	afx_msg void OnFileSaverietanformat();
	afx_msg void OnReadrietanfiles();
	afx_msg void OnFileUpdatecurrentfile();
	afx_msg void OnReadtextfiles();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_CURVEFITDOC_H__F46A970A_CD03_11D1_B2C2_0000F81EA28D__INCLUDED_)
