import csv


from tklib.tkutils import terminate
from tklib.tkdatafile import tkDataFile
from tklib.tkcsv import tkCSV
from tklib.tkexcel import tkExcel
import tklib.tkre as tkre


class tkVariousData(tkDataFile):
    def __init__(self, path = None, mode = 'r', OpenFile = 1, data_only = True, **args):
#        super(tkFile, self).__init__(path, mode, **args)
        self.fp    = None
        self.path  = None
        self.mode  = None
        self.path  = self.IfYes(path is not None, path, self.path)
        self.mode  = self.IfYes(mode is not None, mode, self.mode)
        self.update(**args)
        
        self.labelarray    = []
        self.datalistarray = []

    def __del__(self):
        self.Close()

    def __str__(self):
        return self.ClassPath()


    def Read_minimum_matrix(self, close_fp = False, force_numeric = True, usage = None):
        if(tkre.Search(r'\.xlsx$', self.path, flag ='i')):
            excel = tkExcel(self.path)
            self.labelarray, self.datalistarray = excel.Read_minimum_matrix(close_fp = close_fp, force_numeric = force_numeric)
        elif(tkre.Search(r'\.csv$', self.path, flag ='i')):
            csv = tkCSV(self.path)
            self.labelarray, self.datalistarray = csv.Read_minimum_matrix(close_fp = close_fp, force_numeric = force_numeric)
        else:
            terminate("Error in tkVariousData.Read_minimum_matrix(): File type [{}] is not supported."
                    .format(self.path), usage = usage)

        return self.labelarray, self.datalistarray
        